<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use Illuminate\Support\Facades\Route;

Route::post('customers/customers-info', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersInfoController::class, 'create']);
Route::post('customers/customers-info:search', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersInfoController::class, 'search']);
Route::get('customers/customers-info/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersInfoController::class, 'get']);
Route::delete('customers/customers-info/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersInfoController::class, 'delete']);
Route::patch('customers/customers-info/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersInfoController::class, 'patch']);
Route::post('customers/favorites', [\App\Http\ApiV1\Modules\Customers\Controllers\FavoritesController::class, 'create']);
Route::post('customers/favorites:search', [\App\Http\ApiV1\Modules\Customers\Controllers\FavoritesController::class, 'search']);
Route::post('customers/favorites:delete-product', [\App\Http\ApiV1\Modules\Customers\Controllers\FavoritesController::class, 'deleteProduct']);
Route::post('customers/favorites:clear', [\App\Http\ApiV1\Modules\Customers\Controllers\FavoritesController::class, 'clear']);
Route::post('customers/product-subscribes', [\App\Http\ApiV1\Modules\Customers\Controllers\ProductSubscribesController::class, 'create']);
Route::post('customers/product-subscribes:search', [\App\Http\ApiV1\Modules\Customers\Controllers\ProductSubscribesController::class, 'search']);
Route::post('customers/product-subscribes:delete-product', [\App\Http\ApiV1\Modules\Customers\Controllers\ProductSubscribesController::class, 'deleteProduct']);
Route::post('customers/product-subscribes:clear', [\App\Http\ApiV1\Modules\Customers\Controllers\ProductSubscribesController::class, 'clear']);
Route::post('customers/preferences:search', [\App\Http\ApiV1\Modules\Customers\Controllers\PreferencesController::class, 'search']);
Route::post('customers/bonus-operations', [\App\Http\ApiV1\Modules\Customers\Controllers\BonusOperationsController::class, 'create']);
Route::post('customers/bonus-operations:search', [\App\Http\ApiV1\Modules\Customers\Controllers\BonusOperationsController::class, 'search']);
Route::get('customers/bonus-operations/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\BonusOperationsController::class, 'get']);
Route::delete('customers/bonus-operations/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\BonusOperationsController::class, 'delete']);
Route::patch('customers/bonus-operations/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\BonusOperationsController::class, 'patch']);
